## org.eclipse.datatools.sqltools.debugger.core.internal
Class AbstractControlConnectionExtension

    java.lang.Object
      org.eclipse.datatools.sqltools.debugger.core.internal.AbstractControlConnectionExtension

All Implemented Interfaces:
  IControlConnectionExtension

    public abstract class AbstractControlConnectionExtension

extends java.lang.Object
implements IControlConnectionExtension

Author:
  Yang Liu

Constructor Summary
`AbstractControlConnectionExtension(org.eclipse.datatools.sqltools.internal.core.AbstractControlConnection controlcon)`

Method Summary
`boolean` `getAutoAttachEnabled()` Gets whether currently auto attach is enabled.
`org.eclipse.datatools.sqltools.core.IControlConnection` `getControlConnection()`
`void` `setAutoAttachEnabled(boolean b)` Enables/disables auto attach support.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.sqltools.debugger.core.IControlConnectionExtension
`createConnection`

Constructor Detail

### AbstractControlConnectionExtension

    public AbstractControlConnectionExtension(org.eclipse.datatools.sqltools.internal.core.AbstractControlConnection controlcon)

Method Detail

### getControlConnection

    public org.eclipse.datatools.sqltools.core.IControlConnection getControlConnection()

### getAutoAttachEnabled

    public boolean getAutoAttachEnabled()

  Description copied from interface: `IControlConnectionExtension`
  Gets whether currently auto attach is enabled.

  Specified by:
    `getAutoAttachEnabled` in interface `IControlConnectionExtension`
  Returns:

### setAutoAttachEnabled

    public void setAutoAttachEnabled(boolean b)

  Description copied from interface: `IControlConnectionExtension`
  Enables/disables auto attach support.

  Specified by:
    `setAutoAttachEnabled` in interface `IControlConnectionExtension`